/*---------------------------------------
Loading
-------------------------------*/
#loading {
    z-index: 1000;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: #7cbfd6;
}

.fin_loading {
    display: none;
    animation: fadeOut 0.5s ease-in-out forwards;
}
@keyframes fadeOut {
    0% {
        display: block;
        opacity: 1;
    }
    33% {
        opacity: 1;
      }
    100% {
        display: none;
        opacity: 0;
    }
}


/*---------------------------------------
font
-------------------------------*/
h1, h2, h3, h4, h5, h6, p, a, li, span {
    margin: 0;
    padding: 0;
    line-height: 1;
    color: #ffffff;
    font-family: sans-serif;
}

.XXXXXL {
    font-size: 4rem; /* 64px */
}
.XXXXL {
    font-size: 3.5rem; /* 56px */
}
.XXXL {
    font-size: 3rem; /* 48px */
}
.XXL {
    font-size: 2.5rem; /* 40px */
}
.XL {
    font-size: 2rem; /* 32px */
}
.xxxxxl, h1 {
    font-size: 1.5rem; /* 24px */
}
.xxxxl, h2 {
    font-size: 1.25rem; /* 20px */
}
.xxxl, h3 {
    font-size: 1.125rem; /* 18px */
}
.xxl, h4 {
    font-size: 1rem; /* 16px */
}
.xl, h5 {
    font-size: 0.875rem; /* 14px */
}
.lg, h6 {
    font-size: 0.75rem; /* 12px */
}
.md, p {
    font-size: 0.625rem; /* 10px */ 
}
.sm, li {
    font-size: 0.5rem; /* 8px */ 
}
.xs, span {
    font-size: 0.375rem; /* 6px */ 
}
@media screen and (min-width: 350px) {
    .XXXXXL {
        font-size: 4.125rem; /* 66px */
    }
    .XXXXL {
        font-size: 3.625rem; /* 58px */
    }
    .XXXL {
        font-size: 3.125rem; /* 50px */
    }
    .XXL {
        font-size: 2.625rem; /* 42px */
    }
    .XL {
        font-size: 2.125rem; /* 34px */
    }
    .xxxxxl, h1 {
        font-size: 1.625rem; /* 26px */
    }
    .xxxxl, h2 {
        font-size: 1.375rem; /* 22px */
    }
    .xxxl, h3 {
        font-size: 1.25rem; /* 20px */
    }
    .xxl, h4 {
        font-size: 1.125rem; /* 18px */
    }
    .xl, h5  {
        font-size: 1rem; /* 16px */ 
    }
    .lg, h6 {
        font-size: 0.875rem; /* 14px */ 
    }
    .md, p {
        font-size: 0.75rem; /* 12px */ 
    }
    .sm, li {
        font-size: 0.625rem; /* 10px */ 
    }
    .xs, span {
        font-size: 0.5rem; /* 8px */ 
    }
}
@media screen and (min-width: 500px) {
    .XXXXXL {
        font-size: 4.25rem; /* 68px */
    }
    .XXXXL {
        font-size: 3.75rem; /* 60px */
    }
    .XXXL {
        font-size: 3.25rem; /* 52px */
    }
    .XXL {
        font-size: 2.75rem; /* 44px */
    }
    .XL {
        font-size: 2.25rem; /* 36px */
    }
    .xxxxxl, h1 {
        font-size: 1.75rem; /* 28px */
    }
    .xxxxl, h2 {
        font-size: 1.5rem; /* 24px */
    }
    .xxxl, h3 {
        font-size: 1.375rem; /* 22px */
    }
    .xxl, h4 {
        font-size: 1.25rem; /* 20px */
    }
    .xl, h5 {
        font-size: 1.125rem; /* 18px */ 
    }
    .lg, h6 {
        font-size: 1rem; /* 16px */ 
    }
    .md, p {
    font-size: 0.875rem; /* 14px */ 
    }
    .sm, li {
    font-size: 0.75rem; /* 12px */ 
    }
    .xs, span {
        font-size: 0.625rem; /* 10px */ 
    }
}
@media screen and (min-width: 1000px) {
    .XXXXXL {
        font-size: 4.5rem; /* 72px */
    }
    .XXXXL {
        font-size: 4rem; /* 64px */
    }
    .XXXL {
        font-size: 3.5rem; /* 56px */
    }
    .XXL {
        font-size: 3rem; /* 48px */
    }
    .XL {
        font-size: 2.5rem; /* 42px */
    }
    .xxxxxl, h1 {
        font-size: 1.875rem; /* 30px */
    }
    .xxxxl, h2 {
        font-size: 1.625rem; /* 26px */
    }
    .xxxl, h3 {
        font-size: 1.5rem; /* 24px */
    }
    .xxl, h4 {
        font-size: 1.375rem; /* 22px */
    }
    .xl, h5 {
        font-size: 1.25rem; /* 20px */ 
    }
    .lg, h6 {
        font-size: 1.125rem; /* 18px */ 
    }
}


/*---------------------------------------
Body
-------------------------------*/
body {
    overflow-x: hidden;
    margin: 0 auto;
    background-color: #7cbfd6;
}

.ctr1000 {
    overflow-x: hidden;
    margin: 0 auto;
    max-width: 1000px;
}

.ctr750 {
    overflow-x: hidden;
    margin: 0 auto;
    max-width: 750px;
}

main {
    overflow-x: hidden;
    margin: 0 auto;
}

video {
    width: 100%;
    display: block;
}

img {
    width: 100%;
    display: block;
}

a {
    text-decoration: none;
    border: none;
    outline: none;
}

button {
    border: none;
    padding: 0;
    margin: 0;
    background: none;
    color: inherit;
    font: inherit;
    cursor: pointer;
    outline: none;
}


/*---------------------------------------
Pointer
-------------------------------*/
.pointer_md {
    display: inline-block;
    vertical-align: bottom;
    width: 0.675rem;
}
@media screen and (min-width: 350px) {
    .pointer_md {
        width: 0.75rem;
    }
}
@media screen and (min-width: 500px) {
    .pointer_md {
        width: 0.875rem;
    }
}
@media screen and (min-width: 1000px) {
    .pointer_md {
        width: 1rem;
    }
}

.pointer_lg {
    display: inline-block;
    vertical-align: bottom;
    width: 0.75rem;
}
@media screen and (min-width: 350px) {
    .pointer_lg {
        width: 0.875rem;
    }
}
@media screen and (min-width: 500px) {
    .pointer_lg {
        width: 1rem;
    }
}
@media screen and (min-width: 1000px) {
    .pointer_lg {
        width: 1.125rem;
    }
}

.pointer_xl {
    display: inline-block;
    vertical-align: bottom;
    width: 0.875rem;
}
@media screen and (min-width: 350px) {
    .pointer_xl {
        width: 1rem;
    }
}
@media screen and (min-width: 500px) {
    .pointer_xl {
        width: 1.125rem;
    }
}
@media screen and (min-width: 1000px) {
    .pointer_xl {
        width: 1.25rem;
    }
}

.pointer_xxl {
    display: inline-block;
    vertical-align: bottom;
    width: 1rem;
}
@media screen and (min-width: 350px) {
    .pointer_xxl {
        width: 1.125rem;
    }
}
@media screen and (min-width: 500px) {
    .pointer_xxl {
        width: 1.25rem;
    }
}
@media screen and (min-width: 1000px) {
    .pointer_xxl {
        width: 1.375rem;
    }
}

.pointer_xxxl {
    display: inline-block;
    vertical-align: bottom;
    width: 1.125rem;
}
@media screen and (min-width: 350px) {
    .pointer_xxxl {
        width: 1.25rem;
    }
}
@media screen and (min-width: 500px) {
    .pointer_xxxl {
        width: 1.375rem;
    }
}
@media screen and (min-width: 1000px) {
    .pointer_xxxl {
        width: 1.5rem;
    }
}

.pointer_xxxxl {
    display: inline-block;
    vertical-align: bottom;
    width: 1.25rem;
}
@media screen and (min-width: 350px) {
    .pointer_xxxxl {
        width: 1.375rem;
    }
}
@media screen and (min-width: 500px) {
    .pointer_xxxxl {
        width: 1.5rem;
    }
}
@media screen and (min-width: 1000px) {
    .pointer_xxxxl {
        width: 1.625rem;
    }
}

.pointer_xxxxxl {
    display: inline-block;
    vertical-align: bottom;
    width: 1.5rem;
}
@media screen and (min-width: 350px) {
    .pointer_xxxxxl {
        width: 1.625rem;
    }
}
@media screen and (min-width: 500px) {
    .pointer_xxxxxl {
        width: 1.75rem;
    }
}
@media screen and (min-width: 1000px) {
    .pointer_xxxxxl {
        width: 1.875rem;
    }
}


/*---------------------------------------
Header
-------------------------------*/
header { /*固定に必須な項目を厳選*/
    z-index: 1;
    position: fixed;
    width: 100%;
    margin: 0 auto;
    top: 0;
    background-color: #7cbfd6;
}

nav {
    display: flex;
    padding: 2.5% 0 2.5% 0;
}

nav a {
    text-align: center;
    width: 25%;
}


/*---------------------------------------
Footer
-------------------------------*/
footer {
    background-color: #7cbfd6;
    padding: 5% 5% 2.5% 5%;
}

footer .logo {
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 0 0 2.5% 0;
}

footer .logo img {
    width: 10%;
}

footer p {
    text-align: center;
}


/*---------------------------------------
Animation
-------------------------------*/
/* Fade */
.fade {
    opacity: 0;
}
.fadein {
    animation: fadein 0.75s ease-in-out forwards;
}
@keyframes fadein {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
}